<?php
/***********************************************
* CONTENIDO MODUL - OUTPUT
*
* Modulname  :      Frontenduser-edit
* Author(s)   :     Uwe Köthen, pixelparts, HerrB
* Copyright   :     pixelparts, Uwe Köthen
* Created     :     31.03.2006
************************************************/


cInclude('frontend', 'includes/functions.t2t.php');

//determine godmode (für Bearbeitung durch Admin)
$godmode = false;
if ( $auth->auth["uid"] > 0 && $auth->auth["uid"] < 100 && isset($_POST["idfeuedit"]) && $auth->auth["uid"] != $_POST["idfeuedit"] ) { 
	$godmode = true;
	$feu2load = $_POST["idfeuedit"];
	//print "godmode";

}


//wichtig, falls Teil einer Anmeldung
array_stripslashes($_POST);

// Hier noch einmal die eigentlich redundanten Variablen, die besser in ein eigenes Modul ausgelagert werden sollten.
// s. Kommentare im Modul frontenduser---registrierung
$bcvar["Herr"][1] = "Herr";
$bcvar["Frau"][1] = "Frau";
$bcvar["salutation_male"][1] = "Sehr geehrter Herr";
$bcvar["salutation_female"][1] = "Sehr geehrte Frau";
$bcvar["footer"][1] = "Mit freundlichen Grüßen, Ihr Herr Mustermann";
$bcvar["impressum"][1] = "Mailimpressum";
$bcvar["sendername"] = "Mail von Max Mustermann";
$set_language[1] = "deutsch;english;francais;espanol;italiano";
$set_language[2] = $set_language[1];
$set_language[3] = $set_language[1];
$set_language[4] = $set_language[1];
$set_language[5] = $set_language[1];
$set_language[6] = $set_language[1];
$set_land[1]     = "Afghanistan;Albania;Algeria;Angola;Argentina;Armenia;Australia;Austria;Azerbaijan;Bahamas;Bahrain;Bangladesh;Belarus;Belgium;Belize;Benin;Bermuda;Bhutan;Bolivia;Bosnia and Herzegovina;Botswana;Brazil;Brunei;Bulgaria;Burkina Faso;Burundi;Cambodia;Cameroon;Canada;Central African Republic;Chad;Chile;China;Colombia;Congo;Costa Rica;Cote d'Ivoire;Croatia;Cuba;Cyprus;Czech Republic;Denmark;Djibouti;Dominican Republic;Ecuador;Egypt;El Salvador;Equatorial Guinea;Eritrea;Estonia;Ethiopia;Finland;France;Gabon;Gambia;Georgia;Germany;Ghana;Greece;Guatemala;Guinea;Guyana;Haiti;Honduras;Hong Kong SAR;Hungary;Iceland;India;Indonesia;Iran;Iraq;Ireland;Israel;Italy;Jamaica;Japan;Jordan;Kazakhstan;Kenya;Korea North;Korea South;Kuwait;Kyrgyzstan;Laos;Latvia;Lebanon;Lesotho;Liberia;Libya;Lithuania;Luxembourg;Macau SAR;Macedonia;Madagascar;Malawi;Malaysia;Mali;Malta;Mauritania;Mauritius;Mexico;Moldova;Mongolia;Montenegro;Morocco;Mozambique;Myanmar;Namibia;Nepal;Netherlands;New Zealand;Nicaragua;Niger;Nigeria;Norway;Oman;Pakistan;Panama;Paraguay;Peru;Philippines;Poland;Portugal;Puerto Rico;Qatar;Romania;Russia;Rwanda;Saudi Arabia;Senegal;Serbia;Sierra Leone;Singapore;Slovakia;Slovenia;Somalia;South Africa;Spain;Sri Lanka;Sudan;Suriname;Swaziland;Sweden;Switzerland;Syria;Taiwan;Tajikistan;Tanzania;Thailand;Togo;Trinidad and Tobago;Tunisia;Turkey;Turkmenistan;Uganda;Ukraine;United Arab Emirates;United Kingdom;United States;Uruguay;Uzbekistan;Venezuela;Vietnam;Western Sahara;Yemen;Yugoslavia;Zaire;Zambia;Zimbabwe;Others";
$set_land[2]     = $set_land[1];
$set_land[3]     = $set_land[1];
$set_land[4]     = $set_land[1];
$set_land[5]     = $set_land[1];
$set_land[6]     = $set_land[1];

$oFEUser = new cApiFrontendUser();

// falls godmode: lade den übergebenen FEU. Sonst: lade den aktuell eingeloggten FEU
if ( $godmode ) {
	$oFEUser->loadByPrimaryKey($feu2load);
} else {
	$oFEUser->loadByPrimaryKey($auth->auth["uid"]); # Ist ja nur einer und der muss existieren, da nur in geschütztem Bereich sinnvoll
}



$email = $oFEUser->get('username');
$sMessage = "";
$jsLinkAdd = "";
$errMessage = mi18n("error_main");
$sucMessage = mi18n("changes_saved");
$madMessage = mi18n("no_changes");
$anredecheck = " checked='checked' ";
$kundensprache = $oFEUser->getProperty("address", "sprache");

$errCSS  = "<style type='text/css'><!-- #contactForm label#";
$errCSS2 = " {background-image: url('images/error2.gif'); background-repeat: no-repeat;} --></style>";

$oRecipients = new NewsletterRecipientCollection();
$tpl = new cTemplate();
$tpl->reset();

# Labels definieren
$tpl->set("s", "HDL_PERSON", mi18n("Meine Kontaktdaten"));
$tpl->set("s", "HDL_FIRMA", mi18n("Angaben zu meiner Firma"));
$tpl->set("s", "HDL_NEWSLETTER", mi18n("Newsletter"));
$tpl->set("s", "ANREDE", mi18n("Anrede"));
$tpl->set("s", "ANREDE_OPTION1",$bcvar["Herr"][$lang]);
$tpl->set("s", "ANREDE_OPTION2", $bcvar["Frau"][$lang]);
$tpl->set("s", "NACHNAME", mi18n("Nachname"));
$tpl->set("s", "VORNAME", mi18n("Vorname"));
$tpl->set("s", "FIRMA", mi18n("Firmenname"));
$tpl->set("s", "STRASSE", mi18n("Straße, Nr."));
$tpl->set("s", "PLZORT", mi18n("PLZ, Ort"));
$tpl->set("s", "TELEFON", mi18n("Telefon"));
$tpl->set("s", "FAX", mi18n("Fax"));
$tpl->set("s", "EMAIL", mi18n("E-Mail"));
$tpl->set("s", "LAND", mi18n("Land"));
$tpl->set("s", "SPRACHE", mi18n("Sprache"));
$tpl->set("s", "BENUTZERNAME", mi18n("Benutzername"));
$tpl->set("s", "EMAIL_RPT", mi18n("E-Mail-Wiederholung"));
$tpl->set("s", "BETREFF", mi18n("Betreff"));
$tpl->set("s", "ANLIEGEN", mi18n("Text"));
$tpl->set("s", "PFLICHTFELDER", mi18n("Bitte alle Felder ausfüllen"));
$tpl->set("s", "ABSCHICKEN", mi18n("Änderungen sichern"));
$tpl->set("s", "LOESCHEN", mi18n("löschen"));
$tpl->set("s", "NEWSLETTER_TEXT", "<strong>".mi18n("newsletter_info")."</strong><br>".mi18n("newsletter_info2"));
$tpl->set('s', 'FORM_ACTION', 'front_content.php?idcatart='.$idcatart);


// prüfen, ob NIX geändert wurde...
$oRecipients->resetQuery();   
$oRecipients->setWhere("email", $oFEUser->get("username"));
$oRecipients->setWhere("idlang", $kundensprache);
$oRecipients->query();

if ($recipient = $oRecipients->next()) { $newsletterstatus = $recipient->get("deactivated"); }
if ( $_POST["newsletter"] == "ja" ) { $newsstatus = "0"; } else {$newsstatus = "1"; }

if (      
	// Die Erweiterung von Tel/Fax um einen String muss sein, sonst wird 
	// die TelNr. ggf. als INT behandelt und wird ab der 17. Zahl nicht mehr behandelt.
	trim($_POST["Anrede"])        == $oFEUser->getProperty("address", "title") && 
	trim($_POST["Nachname"])      == $oFEUser->getProperty("address", "surname") && 
	trim($_POST["Vorname"])       == $oFEUser->getProperty("address", "name") && 
	trim($_POST["PLZ"])           == $oFEUser->getProperty("address", "zip") && 
	trim($_POST["Ort"])           == $oFEUser->getProperty("address", "city") && 
	trim($_POST["Strasse"])       == $oFEUser->getProperty("address", "street") && 
	trim($_POST["Land"])          == $oFEUser->getProperty("address", "land") && 
	trim($_POST["Firma"])         == $oFEUser->getProperty("address", "company") && 
	trim($_POST["Telefon"])." "   == $oFEUser->getProperty("address", "telefone")." " && 
	trim($_POST["Fax"])." "       == $oFEUser->getProperty("address", "fax")." " && 
	trim($_POST["FirmaAnrede"])   == $oFEUser->getProperty("address", "comptitle") && 
	trim($_POST["FirmaVorname"])  == $oFEUser->getProperty("address", "compname") && 
	trim($_POST["FirmaNachname"]) == $oFEUser->getProperty("address", "compsurname") && 
	trim($_POST["Sprache"])       == $oFEUser->getProperty("address", "sprache") && 
	trim($_POST["EMail"])         == $oFEUser->get("username") && 
	trim($_POST["EMail2"])        == $oFEUser->get("username")
	
) { 
	print "<p id='madMsg'>".$madMessage."</p>"; 
	$_POST["doaction"] = "ignore";        
} 



if ($_POST["doaction"] == "subscribe") {
	
	// Daten überprüfen (Pflichtfelder)
	$inputError = false;
	$sEMail = ereg_replace("\n", "", $_POST['EMail']);
	$sEMail = ereg_replace("\r", "", $sEMail);
	
	if (trim($_POST["Vorname"]) == "" || strlen($_POST["Vorname"]) > 50) {
		print $errCSS."Vorname".$errCSS2; $inputError = true;
	}  
	if (trim($_POST["Nachname"]) == "" || strlen($_POST["Nachname"]) > 100) {
		print $errCSS."Nachname".$errCSS2; $inputError = true;
	}
	if (trim($_POST["Strasse"]) == "" || strlen($_POST["Strasse"]) > 100) {
		print $errCSS."Strasse".$errCSS2; $inputError = true;
	}  
	if (trim($_POST["PLZ"]) == "" || strlen($_POST["PLZOrt"]) > 20) {
		print $errCSS."PLZ".$errCSS2; $inputError = true;
	}
	if ($_POST["Ort"] == "" || strlen($_POST["Ort"]) > 100) {
		print $errCSS."PLZ".$errCSS2; $inputError = true;
	} 
	if ($_POST["Land"] == "") {
		print $errCSS."Land".$errCSS2; $inputError = true;
	} 
	if (   ($_POST["FirmaVorname"] != "" || $_POST["FirmaNachname"] != "" )  && $_POST["FirmaAnrede"] == "" ) {
		print $errCSS."FirmaAnrede".$errCSS2; $inputError = true;
	} 
	if (  $_POST["FirmaVorname"] != "" && $_POST["FirmaNachname"] == ""  ) {
		print $errCSS."FirmaNachname".$errCSS2; $inputError = true;
	} 
	
	// Änderung der Mailadresse überprüfen, ggf. in Newsletter ändern
	if (!isset($_POST['EMail']) || !$_POST['EMail']) {
		print $errCSS."EMail".$errCSS2; $inputError = true;
	} elseif ( $email != $sEMail && $oRecipients->emailExists($sEMail)) {
		print $errCSS."EMail".$errCSS2; $inputError = true; $errMessage = mi18n("email_exists");
	} elseif (!isValidMail($sEMail) || strpos($sEMail, ",") != false || strpos($sEMail, ";") != false) {
		print $errCSS."EMail".$errCSS2; $inputError = true;
	} elseif ($sEMail != $_POST['EMail2']) {
		print $errCSS."EMail2".$errCSS2; $inputError = true;
	}
	
	
	if ( $inputError == false ) {
		
		$oRecipients->resetQuery();
		// Ändere Einträge, die beide Newslettersprachen betreffen
		$oRecipients->setWhere("email", $email);
		$oRecipients->query();
		
		while ($recipient = $oRecipients->next())
		{
			
			// Prüfen, ob email geändert wurde und eingetragen werden kann
			if ( $email != $sEMail ) {
				
				$recipient->set("email", $sEMail);
				$recipient->store();
				
			}
			
			// Newsletter Änderung überprüfen
			
			$sName  = trim($_POST["Vorname"])." ".trim($_POST["Nachname"]);
			$recipient->set("confirmed", "1");      //nötig, um die Zweitsprache ggf. auch auf jeden Fall zu bestätigen (geschieht nicht bei Registrierung) 
			$recipient->set("name", $sName); // ändert den Benutzernamen im Newsletter
			$recipient->store();
			
		} 
		
			
		// Newsletter
		$oRecipients->resetQuery();    
		$oRecipients->setWhere("email", $email);
		$oRecipients->setWhere("idlang", $kundensprache);
		$oRecipients->query();
		
		if ($recipient = $oRecipients->next())
		{
			
			if ($_POST["newsletter"] != "ja") { 
				$recipient->set("deactivated", 1);
				//$recipient->store();
			} else {
				$recipient->set("deactivated", 0);
				//$recipient->store();
			}       
			$recipient->store();    
		}
		
	}       
	
	if ( $_POST["newsletter"] == "ja" ) { $newsstatus = "checked"; } else {$newsstatus = ""; }
	if ( $_POST["Anrede"] == "Herr" ) { $herr = $anredecheck; } else {$frau = $anredecheck; }   
	if ( $_POST["FirmaAnrede"] == "Herr" ) { $firmaherr = $anredecheck; }
	if ( $_POST["FirmaAnrede"] == "Frau" ) { $firmafrau = $anredecheck; } 
	if ( $_POST["FirmaVorname"] == "" && $_POST["FirmaNachname"] == ""  ) {
		$_POST["FirmaAnrede"] = ""; $firmaherr = ""; $firmafrau = "";
	}
	
	// Newsletter Ende
	
	if ($inputError == false ){ //hier wird eingetragen, wenn alles ok ist
		
		$oFEUser->setProperty("address", "title", $_POST["Anrede"]);
		$oFEUser->setProperty("address", "surname", trim($_POST["Nachname"]));
		$oFEUser->setProperty("address", "name", trim($_POST["Vorname"]));
		$oFEUser->setProperty("address", "zip", trim($_POST["PLZ"]));
		$oFEUser->setProperty("address", "city", trim($_POST["Ort"]));
		$oFEUser->setProperty("address", "street", trim($_POST["Strasse"]));
		$oFEUser->setProperty("address", "land", $_POST["Land"]);
		$oFEUser->setProperty("address", "company", trim($_POST["Firma"]));
		$oFEUser->setProperty("address", "telefone", trim($_POST["Telefon"]));
		$oFEUser->setProperty("address", "fax", trim($_POST["Fax"]));
		$oFEUser->setProperty("address", "comptitle", $_POST["FirmaAnrede"]);
		$oFEUser->setProperty("address", "compname", trim($_POST["FirmaVorname"]));
		$oFEUser->setProperty("address", "compsurname", trim($_POST["FirmaNachname"]));
		$oFEUser->setProperty("address", "sprache", $_POST["Sprache"]);
		
		$oFrontendUsers = new cApiFrontendUserCollection();
		$oFrontendUsers->setWhere("idfrontenduser", $oFEUser->get("idfrontenduser"));
		$oFrontendUsers->query();
		
		if ($frontenduser = $oFrontendUsers->next())
		{
			$frontenduser->set("username", $sEMail);
			$frontenduser->store();
		}
		
		print "<p id='sucMsg'>".$sucMessage."</p>";
		
		
	}  else { // if input error false ende
		
		print "<p id='errMsg'>".$errMessage."</p>";
		
	} // else input error false ende
	
	
	
} else { //if subscribe ende
	
	# Daten aus DB übernehmen
	
	$_POST["Anrede"]        = $oFEUser->getProperty("address", "title");
	$_POST["Nachname"]      = $oFEUser->getProperty("address", "surname");
	$_POST["Vorname"]       = $oFEUser->getProperty("address", "name");
	$_POST["PLZ"]           = $oFEUser->getProperty("address", "zip");
	$_POST["Ort"]           = $oFEUser->getProperty("address", "city");
	$_POST["Strasse"]       = $oFEUser->getProperty("address", "street");
	$_POST["Land"]          = $oFEUser->getProperty("address", "land");
	$_POST["Firma"]         = $oFEUser->getProperty("address", "company");
	$_POST["Telefon"]       = $oFEUser->getProperty("address", "telefone");
	$_POST["Fax"]           = $oFEUser->getProperty("address", "fax");
	$_POST["FirmaAnrede"]   = $oFEUser->getProperty("address", "comptitle");
	$_POST["FirmaVorname"]  = $oFEUser->getProperty("address", "compname");
	$_POST["FirmaNachname"] = $oFEUser->getProperty("address", "compsurname");
	$_POST["Sprache"]       = $oFEUser->getProperty("address", "sprache");
	$_POST["EMail"]         = $oFEUser->get("username");
	$_POST["EMail2"]        = $oFEUser->get("username");
	$_POST["idfeuedit"]     = $oFEUser->get("idfrontenduser");
	
	$oRecipients->resetQuery(); 
	$oRecipients->setWhere("email", $oFEUser->get("username"));
	$oRecipients->setWhere("idlang", $kundensprache);    
	$oRecipients->query();
	
	if ($recipient = $oRecipients->next())
	{ 
		//$email    = $recipient->get("email"); 
		$newsletterstatus = $recipient->get("deactivated");
	}
	
	$anredechoice = $oFEUser->getProperty("address", "title");
	if ( $anredechoice == "Herr" ) { $herr = $anredecheck; } else {$frau = $anredecheck; }
	$companredechoice = $oFEUser->getProperty("address", "comptitle");
	if ( $companredechoice == "Herr" ) { $firmaherr = $anredecheck; }
	if ( $companredechoice == "Frau" ) { $firmafrau = $anredecheck; }
	if ( $newsletterstatus == "0" ) { $newsstatus = "checked"; } else {$newsstatus = ""; }
	
	
}  //else subscribe ende

$readonly = ( $godmode ) ? "readonly" : "" ;
$setgodmode = ( $godmode ) ? 1 : 0;

$tpl->set('s', 'godmode', $setgodmode );
$tpl->set('s', 'herrval', $herr);
$tpl->set('s', 'frauval', $frau);
$tpl->set('s', 'idfeuedit', trim($_POST["idfeuedit"]));
$tpl->set('s', 'vornameval', trim($_POST["Vorname"]));
$tpl->set('s', 'nachnameval', trim($_POST["Nachname"]));
$tpl->set('s', 'firmaval', trim($_POST["Firma"]));
$tpl->set('s', 'strasseval', trim($_POST["Strasse"]));
$tpl->set('s', 'telefonval', trim($_POST["Telefon"]));
$tpl->set('s', 'faxval', trim($_POST["Fax"]));
$tpl->set('s', 'emailval', trim($_POST["EMail"]));
$tpl->set('s', 'email2val', trim($_POST["EMail2"]));
$tpl->set('s', 'plzval', trim($_POST["PLZ"]));
$tpl->set('s', 'ortval', trim($_POST["Ort"]));
$tpl->set('s', 'landval', createSel($set_land, $_POST["Land"], "Land", $kundensprache));
$tpl->set('s', 'newsval', $newsstatus);
$tpl->set('s', 'firmaherrval', $firmaherr);
$tpl->set('s', 'firmafrauval', $firmafrau);
$tpl->set('s', 'firmavornameval', trim($_POST["FirmaVorname"]));
$tpl->set('s', 'firmanachnameval', trim($_POST["FirmaNachname"]));
$tpl->set('s', 'strasseval', trim($_POST["Strasse"]));
$tpl->set('s', 'plzval', trim($_POST["PLZ"]));
$tpl->set('s', 'ortval', trim($_POST["Ort"]));
$tpl->set('s', 'spracheval', createSelNumSimple($set_language, $_POST["Sprache"], "Sprache", $kundensprache));
$tpl->set('s', 'readonly', $readonly);



$tpl->generate('templates/formular_kundendaten.html');

?>