<?php
/*****************************************
* File      :   $RCSfile: ort.php,v $
* Project   :   Contenido
* Descr     :   Example plugin for adding an ort address to a frontend user
* Modified  :   $Date: 2005/09/19 14:51:28 $
*
*  four for business AG, www.4fb.de
*
* $Id: ort.php,v 1.2 2005/09/19 14:51:28 timo.hummel Exp $
******************************************/

function frontendusers_ort_getTitle ()
{
	return i18n("Ort", "frontendusers_ort");	
}

function frontendusers_ort_display ()
{
	global $feuser;
	
	$ort = new cHTMLTextbox("ort", $feuser->getProperty("address", "city"),40);
	return $ort->render();	
}

function frontendusers_ort_wantedVariables ()
{
	return (array("ort"));	
}

function frontendusers_ort_canonicalVariables ()
{	
	return array("ort" => i18n("Ort", "frontendusers_ort"));
}

function frontendusers_ort_getvalue ($field)
{
	global $feuser;
	if ($field == "ort")
	{
		return $feuser->getProperty("address", "city");
	}
}

function frontendusers_ort_store ($variables)
{
	global $feuser;
	
	if (!array_key_exists("ort",$variables))
	{
		return false;	
	} else {
		$feuser->setProperty("address", "city", $variables["ort"]);
		return true;
	}
}

?>