<?php
/*****************************************
* File      :   $RCSfile: postleitzahl.php,v $
* Project   :   Contenido
* Descr     :   Example plugin for adding an postleitzahl address to a frontend user
* Modified  :   $Date: 2005/09/19 14:51:28 $
*
*  four for business AG, www.4fb.de
*
* $Id: postleitzahl.php,v 1.2 2005/09/19 14:51:28 timo.hummel Exp $
******************************************/

function frontendusers_postleitzahl_getTitle ()
{
	return i18n("Postleitzahl", "frontendusers_postleitzahl");	
}

function frontendusers_postleitzahl_display ()
{
	global $feuser;
	
	$postleitzahl = new cHTMLTextbox("postleitzahl", $feuser->getProperty("address", "zip"),40);
	return $postleitzahl->render();	
}

function frontendusers_postleitzahl_wantedVariables ()
{
	return (array("postleitzahl"));	
}

function frontendusers_postleitzahl_canonicalVariables ()
{	
	return array("postleitzahl" => i18n("Postleitzahl", "frontendusers_postleitzahl"));
}

function frontendusers_postleitzahl_getvalue ($field)
{
	global $feuser;
	if ($field == "postleitzahl")
	{
		return $feuser->getProperty("address", "zip");
	}
}

function frontendusers_postleitzahl_store ($variables)
{
	global $feuser;
	
	if (!array_key_exists("postleitzahl",$variables))
	{
		return false;	
	} else {
		$feuser->setProperty("address", "zip", $variables["postleitzahl"]);
		return true;
	}
}

?>