<?php
/*****************************************
* File      :   $RCSfile: strasse.php,v $
* Project   :   Contenido
* Descr     :   Example plugin for adding an strasse address to a frontend user
* Modified  :   $Date: 2005/09/19 14:51:28 $
*
*  four for business AG, www.4fb.de
*
* $Id: strasse.php,v 1.2 2005/09/19 14:51:28 timo.hummel Exp $
******************************************/

function frontendusers_strasse_getTitle ()
{
	return i18n("Strasse/Nr.", "frontendusers_strasse");	
}

function frontendusers_strasse_display ()
{
	global $feuser;
	
	$strasse = new cHTMLTextbox("strasse", $feuser->getProperty("address", "street"),40);
	return $strasse->render();	
}

function frontendusers_strasse_wantedVariables ()
{
	return (array("strasse"));	
}

function frontendusers_strasse_canonicalVariables ()
{	
	return array("strasse" => i18n("Strasse/Nr:.", "frontendusers_strasse"));
}

function frontendusers_strasse_getvalue ($field)
{
	global $feuser;
	if ($field == "strasse")
	{
		return $feuser->getProperty("address", "street");
	}
}

function frontendusers_strasse_store ($variables)
{
	global $feuser;
	
	if (!array_key_exists("strasse",$variables))
	{
		return false;	
	} else {
		$feuser->setProperty("address", "street", $variables["strasse"]);
		return true;
	}
}

?>