<?php
// Includes

cInclude('frontend', 'includes/class.phpmailer.php');
cInclude('frontend', 'includes/functions.t2t.php');

// Hier noch einmal die eigentlich redundanten Variablen, die besser in ein eigenes Modul ausgelagert werden sollten.
// s. Kommentare im Modul frontenduser---registrierung
$bcvar["Herr"][1] = "Herr";
$bcvar["Frau"][1] = "Frau";
$bcvar["salutation_male"][1] = "Sehr geehrter Herr";
$bcvar["salutation_female"][1] = "Sehr geehrte Frau";
$bcvar["footer"][1] = "Mit freundlichen Grüßen, Ihr Herr Mustermann";
$bcvar["impressum"][1] = "Mailimpressum";
$bcvar["sendername"] = "Mail von Max Mustermann";
$set_language[1] = "deutsch;english;francais;espanol;italiano";
$set_language[2] = $set_language[1];
$set_language[3] = $set_language[1];
$set_language[4] = $set_language[1];
$set_language[5] = $set_language[1];
$set_language[6] = $set_language[1];
$set_land[1]     = "Afghanistan;Albania;Algeria;Angola;Argentina;Armenia;Australia;Austria;Azerbaijan;Bahamas;Bahrain;Bangladesh;Belarus;Belgium;Belize;Benin;Bermuda;Bhutan;Bolivia;Bosnia and Herzegovina;Botswana;Brazil;Brunei;Bulgaria;Burkina Faso;Burundi;Cambodia;Cameroon;Canada;Central African Republic;Chad;Chile;China;Colombia;Congo;Costa Rica;Cote d'Ivoire;Croatia;Cuba;Cyprus;Czech Republic;Denmark;Djibouti;Dominican Republic;Ecuador;Egypt;El Salvador;Equatorial Guinea;Eritrea;Estonia;Ethiopia;Finland;France;Gabon;Gambia;Georgia;Germany;Ghana;Greece;Guatemala;Guinea;Guyana;Haiti;Honduras;Hong Kong SAR;Hungary;Iceland;India;Indonesia;Iran;Iraq;Ireland;Israel;Italy;Jamaica;Japan;Jordan;Kazakhstan;Kenya;Korea North;Korea South;Kuwait;Kyrgyzstan;Laos;Latvia;Lebanon;Lesotho;Liberia;Libya;Lithuania;Luxembourg;Macau SAR;Macedonia;Madagascar;Malawi;Malaysia;Mali;Malta;Mauritania;Mauritius;Mexico;Moldova;Mongolia;Montenegro;Morocco;Mozambique;Myanmar;Namibia;Nepal;Netherlands;New Zealand;Nicaragua;Niger;Nigeria;Norway;Oman;Pakistan;Panama;Paraguay;Peru;Philippines;Poland;Portugal;Puerto Rico;Qatar;Romania;Russia;Rwanda;Saudi Arabia;Senegal;Serbia;Sierra Leone;Singapore;Slovakia;Slovenia;Somalia;South Africa;Spain;Sri Lanka;Sudan;Suriname;Swaziland;Sweden;Switzerland;Syria;Taiwan;Tajikistan;Tanzania;Thailand;Togo;Trinidad and Tobago;Tunisia;Turkey;Turkmenistan;Uganda;Ukraine;United Arab Emirates;United Kingdom;United States;Uruguay;Uzbekistan;Venezuela;Vietnam;Western Sahara;Yemen;Yugoslavia;Zaire;Zambia;Zimbabwe;Others";
$set_land[2]     = $set_land[1];
$set_land[3]     = $set_land[1];
$set_land[4]     = $set_land[1];
$set_land[5]     = $set_land[1];
$set_land[6]     = $set_land[1];

// Initialisation
$oClientLang = new cApiClientLanguage(false, $client, $lang);
$oClient     = new cApiClient($client);
$oRecipients = new NewsletterRecipientCollection();

$aSettings   = array();
$aSettings['JoinSel']         = $oClientLang->getProperty('newsletter', 'joinsel');
$aSettings['JoinMultiple']    = $oClientLang->getProperty('newsletter', 'joinmultiple');
$aSettings['JoinGroups']      = $oClientLang->getProperty('newsletter', 'joingroups');
$aSettings['JoinMessageType'] = $oClientLang->getProperty('newsletter', 'joinmessagetype');
$aSettings['FrontendLink']    = $oClient->getProperty('newsletter', 'frontendlink'); # Note: Stored for client, as frontendusers are language independent
//$aSettings['FrontendConfirm'] = "CMS_VALUE[5]";
//$aSettings['FrontendDel']     = "CMS_VALUE[6]";
//$aSettings['SenderEMail']     = "CMS_VALUE[7]";
$aSettings['SenderEMail']     = getEffectiveSetting("global", "sender-email");
$aSettings['HandlerID']       = $oClientLang->getProperty('newsletter', 'idcatart');
  
// If there is no selection option set or if no groups has been selected, activate option Default
   if ($aSettings['JoinSel'] == '' || $aSettings['JoinGroups'] == '') {
      $aSettings['JoinSel'] = "Default";
   }
   if ($aSettings['FrontendConfirm'] == '') {
      $aSettings['FrontendConfirm'] = "ActivateUser";
   }
   if ($aSettings['FrontendDel'] == '') {
      $aSettings['FrontendDel'] = "DeleteUser";
   }
   


if (strlen($_GET['confirm']) == 30 && ctype_alnum($_GET['confirm'])) {
 
      $oRecipients->setWhere("idclient", $client);
      $oRecipients->setWhere("idlang", $lang);
      $oRecipients->setWhere("hash", $_GET['confirm']);
      $oRecipients->query();

      if ($recipient = $oRecipients->next())
      {
         $iID    = $recipient->get("idnewsrcp"); // For some reason, $recipient may get invalid later on - save id
         $sEMail = $recipient->get("email");     // ... and email
         $recipient->set("confirmed", 1);
         $recipient->set("confirmeddate", date("Y-m-d H:i:s"), false);
         //$recipient->set("deactivated", 0);
         $recipient->store();

         $sMessage = "<h3>".mi18n("confirmation_success")."</h3>";

         $oNewsletters = new NewsletterCollection();
         $oNewsletters->setWhere("idclient", $client);
         $oNewsletters->setWhere("idlang", $lang);
         $oNewsletters->setWhere("welcome", '1');
         $oNewsletters->query();

         if ($oNewsletter = $oNewsletters->next())
         {
            $aRecipients = array(); // Needed, as used by reference
            $oNewsletter->sendDirect($aSettings['HandlerID'], $iID, false, $aRecipients);

            $sMessage .= mi18n("welcome_newsletter_onitsway");
         }
         
         if ($aSettings['FrontendLink'] == "enabled" && $aSettings['FrontendConfirm'] == "ActivateUser")
         {
            $oFrontendUsers = new cApiFrontendUserCollection();
            $oFrontendUsers->setWhere("idclient", $client);
            $oFrontendUsers->setWhere("username", $sEMail);
            $oFrontendUsers->query();

            if ($frontenduser = $oFrontendUsers->next())
            {
               $frontenduser->set("active", 1);
               $sPassword = substr(md5(rand()),0,8); // Generating password
               $frontenduser->set("password", $sPassword);
               $frontenduser->store();

               $sMessage .= "<p>".mi18n("username_pwd_intro")."<br><br>";
               $sMessage .= "<ul><li>".mi18n("Benutzername: ")." ".$sEMail."</li><li>".mi18n("Kennwort: ")." ".$sPassword."</li></ul></p>";

//
               $FEUserID = $frontenduser->get("idfrontenduser");
               $oFEUser = new cApiFrontendUser();
               $oFEUser->loadByPrimaryKey($FEUserID);
               $sTitle  = $oFEUser->getProperty('address','title');
               $sName  = $oFEUser->getProperty('address','surname');
//
               if ( $sTitle == "Herr" ) { $greetz = $bcvar["salutation_male"][$lang]; } else { $greetz = $bcvar["salutation_female"][$lang]; }
               $sBody  = $greetz." ".$sName.",\n\n";   
               $sBody .= mi18n("mail_pwd_body")."\n".mi18n("Benutzername: ")." ".$sEMail."\n".mi18n("Kennwort: ")." ".$sPassword."\n\n";
               $sBody .= mi18n("login_panel_desc")."\n".$cfgClient[$client]["path"]["htmlpath"]."front_content.php?idcat=1&changelang=".$lang."\n\n".$bcvar["footer"][$lang]."\n\n".$bcvar["impressum"][$lang];


               $oMail           = new PHPMailer();
			   $oMail->CharSet = 'utf-8';
               $oMail->From     = $aSettings['SenderEMail'];
               $oMail->FromName = $bcvar["sendername"];
               $oMail->AddAddress($sEMail);
               $oMail->Mailer   = "mail";
               $oMail->Subject  = stripslashes(mi18n("mail_pwd_subject"));
               $oMail->Body     = stripslashes($sBody);

               if($oMail->Send())
               {
                  $sMessage .= "<br><p>".mi18n("access_sent_via_mail")."</p>";
               } else {
                  $sMessage .= "<br><br>".mi18n("email_problem");
               }
            } else {
               $sMessage .= "<br><br>".mi18n("activation_problem");
            }
         }
      } else {
         $sMessage = mi18n("confirmation_problem");
      }
   } else { //wenn Handler durch Sprachwechsel aufgerufen wird, verboten: ACHTUNG, dies ignoriert das Vorhandensein aller anderen Cases wie Stop usw.
     $sMessage = mi18n("do_not_change_language_here");
   }
   
if (strlen($_GET['stop']) == 30 && is_alphanumeric($_GET['stop'])) {
      $oRecipients->setWhere("email", $_POST['EMail']);
      $oRecipients->setWhere("idlang", $lang);
      $oRecipients->setWhere("hash", $_GET['stop']);
      $oRecipients->query();

      if ($recipient = $oRecipients->next())
      {
         $recipient->set("deactivated", 1);
         $recipient->store();

         $sMessage = mi18n("newsletter_paused");
      } else {
         $sMessage = mi18n("newsletter_pausing_problem");
      }
   } 
   
if (strlen($_GET['goon']) == 30 && is_alphanumeric($_GET['goon'])) {
      $oRecipients->setWhere("idclient", $client);
      $oRecipients->setWhere("idlang", $lang);
      $oRecipients->setWhere("hash", $_GET['goon']);
      $oRecipients->query();

      if ($recipient = $oRecipients->next())
      {
         $recipient->set("deactivated", 0);
         $recipient->store();

         $sMessage = mi18n("newsletter_resumed");
      } else {
         $sMessage = mi18n("newsletter_resuming_problem");
      }
   } 
   
if (strlen($_GET['unsubscribe']) == 30 && is_alphanumeric($_GET['unsubscribe'])) {
      $oRecipients->setWhere("idclient", $client);
      $oRecipients->setWhere("idlang", $lang);
      $oRecipients->setWhere("hash", $_GET['unsubscribe']);
      $oRecipients->query();
      
      if ($recipient = $oRecipients->next()) {
         $sEMail = $recipient->get("email"); // Saving recipient e-mail address for frontend account
         $oRecipients->delete($recipient->get("idnewsrcp"));

         $sMessage = mi18n("newsletter_removed");

         if ($aSettings['FrontendLink'] == "enabled")
         {
            $oFrontendUsers = new cApiFrontendUserCollection();
            $oFrontendUsers->setWhere("idclient", $client);
            $oFrontendUsers->setWhere("username", $sEMail);
            $oFrontendUsers->query();

            if ($frontenduser = $oFrontendUsers->next())
            {
               switch ($aSettings['FrontendDel'])
               {
                  case "DeleteUser": // Deleting frontend account
                     $oFrontendUsers->delete($frontenduser->get("idfrontenduser"));
                     $sMessage .= mi18n("account_deleted");
                     break;
                  case "DisableUser": // Disabling frontend account
                     $frontenduser->set("active", 0);
                     $frontenduser->store();
                     $sMessage .= mi18n("account_disabled");
                     break;
                  default:
               }
            }
         }
      } else {
         $sMessage = mi18n("user_removal_problem");
      }
   }

print $sMessage;

?>